# IAX2IeSockaddrIn Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeSockaddrIn:

[legend]
Collaboration diagram for IAX2IeSockaddrIn:
[legend]

## Public Member Functions

construction/destruction
| IAX2IeSockaddrIn (BYTE length, BYTE *srcData)
| IAX2IeSockaddrIn (const PIPSocket::Address &addr, PINDEX port)
| IAX2IeSockaddrIn ()
| ~IAX2IeSockaddrIn ()
Worker methods
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetLengthOfData () const
void | SetData (const PIPSocket::Address &newAddr, PINDEX newPort)
PIPSocket::Address | ReadData ()

## Protected Member Functions

virtual void | WriteBinary (BYTE *data)

## Protected Attributes

PIPSocket::Address | dataValue
PINDEX | portNumber

## Detailed Description

An Information Element that contains an Ip address and port

## Constructor & Destructor Documentation

IAX2IeSockaddrIn::IAX2IeSockaddrIn | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  |

Constructor - read data from source array.

Contents are valid if source array is valid.

IAX2IeSockaddrIn::IAX2IeSockaddrIn | ( | const PIPSocket::Address & | addr,
|  | PINDEX | port |
| ) |  |  | `[inline]`

Construct to an initialized value

IAX2IeSockaddrIn::IAX2IeSockaddrIn | ( |  | ) | `[inline]`

Constructor to an invalid and empty result

IAX2IeSockaddrIn::~IAX2IeSockaddrIn | ( |  | ) | `[inline]`

Destructor

## Member Function Documentation

virtual BYTE IAX2IeSockaddrIn::GetLengthOfData | ( |  | ) | const`[inline, virtual]`

return the number of bytes to hold this data element

Reimplemented from IAX2Ie.

virtual void IAX2IeSockaddrIn::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2Ie.

Reimplemented in IAX2IeApparentAddr.

PIPSocket::Address IAX2IeSockaddrIn::ReadData | ( |  | ) | `[inline]`

Report the value of the stored data for this class

Reimplemented from IAX2Ie.

void IAX2IeSockaddrIn::SetData | ( | const PIPSocket::Address & | newAddr,
|  | PINDEX | newPort |
| ) |  |  | `[inline]`

Take the supplied data and copy contents into this IE

virtual void IAX2IeSockaddrIn::WriteBinary | ( | BYTE * | data | ) | `[protected, virtual]`

Take the data value for this particular IAX2Ie and copy into the memory region.

Reimplemented from IAX2Ie.

## Field Documentation

PIPSocket::Address IAX2IeSockaddrIn::dataValue `[protected]`

The actual ip address data stored in a IAX2IeSockaddrIn class

PINDEX IAX2IeSockaddrIn::portNumber `[protected]`

The actual port number data stored in a IAX2IeSockaddrIn class

The documentation for this class was generated from the following file:

- ies.h